---
title: Range.createContextualFragment()
slug: Web/API/Range/createContextualFragment
tags:
  - API
  - DOM
  - DOM Reference
  - Method
  - Range
  - Reference
---
<div>{{ApiRef("DOM")}}</div>

<p>The <strong><code>Range.createContextualFragment()</code></strong> method returns a {{domxref("DocumentFragment")}} by invoking the HTML fragment parsing algorithm or the XML fragment parsing algorithm with the start of the range (the <em>parent</em> of the selected node) as the context node. The HTML fragment parsing algorithm is used if the range belongs to a <code>Document</code> whose HTMLness bit is set. In the HTML case, if the context node would be <code>html</code>, for historical reasons the fragment parsing algorithm is invoked with <code>body</code> as the context instead.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox"><em>documentFragment</em> = <em>range</em>.createContextualFragment(<em>tagString</em>)
</pre>

<h3 id="Parameters">Parameters</h3>

<dl>
 <dt><code>tagString</code></dt>
 <dd>Text that contains text and tags to be converted to a document fragment.</dd>
</dl>

<h2 id="Example">Example</h2>

<pre class="brush: js">var tagString = "&lt;div&gt;I am a div node&lt;/div&gt;";
var range = document.createRange();

// Make the parent of the first div in the document becomes the context node
range.selectNode(document.getElementsByTagName("div").item(0));
var documentFragment = range.createContextualFragment(tagString);
document.body.appendChild(documentFragment);
</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('DOM Parsing', '#dom-range-createcontextualfragment', 'Range.createContextualFragment()')}}</td>
   <td>{{Spec2('DOM Parsing')}}</td>
   <td>Initial specification.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.Range.createContextualFragment")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li><a href="/en-US/docs/DOM/DOM_Reference">The DOM interfaces index</a></li>
</ul>
